Package weka.gui.visualize.plugins

# Interface ErrorVisualizePlugin

public interface ErrorVisualizePlugin
Interface implemented by classes loaded dynamically to visualize classifier errors in the explorer.

Version:
  $Revision: 9053 $
Author:
  FracPete (fracpete at waikato dot ac dot nz)

## Method Summary

Modifier and Type
Method
Description
`String`
`getDesignVersion()`
Get the specific version of Weka the class is designed for.
`String`
`getMaxVersion()`
Get the maximum version of Weka, exclusive, the class is designed to work with.
`String`
`getMinVersion()`
Get the minimum version of Weka, inclusive, the class is designed to work with.
`JMenuItem`
`getVisualizeMenuItem(Instances predInst)`
Get a JMenu or JMenuItem which contain action listeners that perform the visualization of the classifier errors.

## Method Details

### getVisualizeMenuItem

JMenuItem getVisualizeMenuItem(Instances predInst)
Get a JMenu or JMenuItem which contain action listeners that perform the visualization of the classifier errors.

The actual class is the attribute declared as class attribute, the predicted class values is found in the attribute prior to the class attribute's position. In other words, if the `classIndex()` method returns 10, then the attribute position for the predicted class values is 9.

Exceptions thrown because of changes in Weka since compilation need to be caught by the implementer.

Parameters:
  `predInst` - the instances with the actual and predicted class values
Returns:
  menuitem for opening visualization(s), or null to indicate no visualization is applicable for the input
See Also:
  - `NoClassDefFoundError`
  - `IncompatibleClassChangeError`

### getMinVersion

String getMinVersion()
Get the minimum version of Weka, inclusive, the class is designed to work with. eg: `3.5.0`

Returns:
  the minimum version

### getMaxVersion

String getMaxVersion()
Get the maximum version of Weka, exclusive, the class is designed to work with. eg: `3.6.0`

Returns:
  the maximum version

### getDesignVersion

String getDesignVersion()
Get the specific version of Weka the class is designed for. eg: `3.5.1`

Returns:
  the version the plugin was designed for